/*
 * Component Name: Headset Simulator
 * Author: Comarch S.A.
 * Version: 1.0
 * Copyright (c) 2010 Comarch S.A.
 *  
 * This Software is submitted by Comarch S.A. to Symbian Foundation Limited on 
 * the basis of the Member Contribution Agreement entered between Comarch S.A. 
 * and Symbian Foundation Limited on 5th June 2009 (Agreement) and may be 
 * used only in accordance with the terms and conditions of the Agreement. 
 * Any other usage, duplication or redistribution of this Software is not 
 * allowed without written permission of Comarch S.A.
 * 
 */

#ifndef HSRCBTTOOLSOBSERVER_H
#define HSRCBTTOOLSOBSERVER_H

/**
 * @brief Observes if Headset Simulator is reachable
 */
class MHsRCBTManagerObserver
    {

public:
    /** 
     * Called when desired device found 
     * 
     * @param aDevName bluetooth name of found device
     * @param aDevAddr bluetooth address of found device
     * @param aPort found port number
     */
    virtual void HandleDesiredDevFound(const TDesC& aDevName,
            const TBTDevAddr& aDevAddr, const TInt aPort) = 0;
    
    /** 
     * Called when desired device not found 
     *
     * @param aErr error code 
     */
    virtual void HandleDesiredDevNotFound(TInt aErr) = 0;

    };


#endif //HSRCBTTOOLSOBSERVER_H
